Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.orm
Class DAL

    java.lang.Object
      org.kemet.orm.DAL

All Implemented Interfaces:
  IRequests

    public class DAL

extends java.lang.Object
implements IRequests

Since:
  0.1
Author:
  fabricemaupin

  Data Access Layer.

Field Summary
`static HieroCollection` | `hc` list of hieroglyphes.
`static ItemCollection` | `nc` list of lexicographical items.
`static PhonogramCollection` | `pc` list of phonograms.

Constructor Summary
`DAL(java.lang.String XMLPath, java.lang.String[] files)` instantiate the DAL.

Method Summary
`Pronunciation[]` | `getAllPronunciationFromTransliteration(Transliteration tr)` get all the pronunciation from transliteration.
`DemonstrativePronoun` | `getDemonstrativePronounFromSign(Sign[] s, int indexSign)` get the demonstrative pronoun objects from sign.
`java.util.List<Sign>` | `getDemonstrativePronouns()` get the demonstrative pronouns.
`java.util.List<Sign>` | `getDeterminers()` get the determiners.
`Sign[]` | `getHieroglyphs()` get the hieroglyphs.
`java.util.List<Sign>` | `getIdeograms()` get the ideograms.
`java.util.List<Item>` | `getLexicographicalItems()` get the lexicographical items.
`Phonogram[]` | `getPhonograms()` get the phonograms...
`Preposition` | `getPrepositionFromSign(Sign[] s, int indexSign)` get the preposition object from sign.
`java.util.List<Sign>` | `getPrepositions()` get the prepositions.
`SuffixPronoun[]` | `getSuffixPronounFromSign(Sign[] s, int indexSign)` get the suffix pronoun objects from sign.
`java.util.List<Sign>` | `getSuffixPronouns()` get the suffix pronouns.
`Transliteration` | `getTransliterationFromSign(Sign[] s, int indexSign)` get the transliteration object from sign.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pc

    public static PhonogramCollection pc

  list of phonograms.

### hc

    public static HieroCollection hc

  list of hieroglyphes.

### nc

    public static ItemCollection nc

  list of lexicographical items.

Constructor Detail

### DAL

    public DAL(java.lang.String XMLPath,
               java.lang.String[] files)
        throws java.lang.Exception

  instantiate the DAL.

  Parameters:
    `XMLPath` - name of XML path
    `files` - list of hieroglyphs files 0 -> hiero_xx.xml 1 -> phonogram.xml 3 -> lexicographical_list_xx.xml throws Exception
  Throws:
    `java.lang.Exception`
  Since:
    0.1

Method Detail

### getPhonograms

    public Phonogram[] getPhonograms()

  get the phonograms...

  Specified by:
    `getPhonograms` in interface `IRequests`
  Returns:
    phonograms
  Since:
    0.1

### getHieroglyphs

    public Sign[] getHieroglyphs()

  get the hieroglyphs.

  Specified by:
    `getHieroglyphs` in interface `IRequests`
  Returns:
    hieroglyphs
  Since:
    0.1

### getDeterminers

    public java.util.List<Sign> getDeterminers()

  get the determiners.

  Specified by:
    `getDeterminers` in interface `IRequests`
  Returns:
    determiners
  Since:
    0.6

### getIdeograms

    public java.util.List<Sign> getIdeograms()

  get the ideograms.

  Specified by:
    `getIdeograms` in interface `IRequests`
  Returns:
    ideograms
  Since:
    0.6

### getSuffixPronouns

    public java.util.List<Sign> getSuffixPronouns()

  get the suffix pronouns.

  Specified by:
    `getSuffixPronouns` in interface `IRequests`
  Returns:
    suffix pronouns
  Since:
    0.6

### getDemonstrativePronouns

    public java.util.List<Sign> getDemonstrativePronouns()

  get the demonstrative pronouns.

  Specified by:
    `getDemonstrativePronouns` in interface `IRequests`
  Returns:
    demonstrative pronouns
  Since:
    0.6

### getPrepositions

    public java.util.List<Sign> getPrepositions()

  get the prepositions.

  Specified by:
    `getPrepositions` in interface `IRequests`
  Returns:
    prepositions
  Since:
    0.6

### getLexicographicalItems

    public java.util.List<Item> getLexicographicalItems()

  get the lexicographical items.

  Specified by:
    `getLexicographicalItems` in interface `IRequests`
  Returns:
    lexicographical items
  Since:
    0.6

### getTransliterationFromSign

    public Transliteration getTransliterationFromSign(Sign[] s,
                                                      int indexSign)

  get the transliteration object from sign.

  Specified by:
    `getTransliterationFromSign` in interface `IRequests`
  Parameters:
    `s` - signList
    `indexSign` - index for signList
  Returns:
    transliteration object
  Since:
    0.1

### getSuffixPronounFromSign

    public SuffixPronoun[] getSuffixPronounFromSign(Sign[] s,
                                                    int indexSign)

  get the suffix pronoun objects from sign.

  Specified by:
    `getSuffixPronounFromSign` in interface `IRequests`
  Parameters:
    `s` - signList
    `indexSign` - index for signList
  Returns:
    suffix pronoun objects
  Since:
    0.6

### getDemonstrativePronounFromSign

    public DemonstrativePronoun getDemonstrativePronounFromSign(Sign[] s,
                                                                int indexSign)

  get the demonstrative pronoun objects from sign.

  Specified by:
    `getDemonstrativePronounFromSign` in interface `IRequests`
  Parameters:
    `s` - signList
    `indexSign` - index for signList
  Returns:
    demonstrative pronoun object
  Since:
    0.6

### getPrepositionFromSign

    public Preposition getPrepositionFromSign(Sign[] s,
                                              int indexSign)

  get the preposition object from sign.

  Specified by:
    `getPrepositionFromSign` in interface `IRequests`
  Parameters:
    `s` - signList
    `indexSign` - index for signList
  Returns:
    preposition object
  Since:
    0.6

### getAllPronunciationFromTransliteration

    public Pronunciation[] getAllPronunciationFromTransliteration(Transliteration tr)

  get all the pronunciation from transliteration.

  Specified by:
    `getAllPronunciationFromTransliteration` in interface `IRequests`
  Parameters:
    `tr` - transliteration
  Returns:
    pronunciationList
  Since:
    0.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.